Socket Class Reference
Inheritance diagram for Socket:

## Public Member Functions

| Socket (InetAddressPtr &address, int port)
| Creates a stream socket and connects it to the specified port number at the specified IP address. More...
| Socket (apr_socket_t *socket, apr_pool_t *pool)
| ~Socket ()
size_t | write (ByteBuffer &)
void | close ()
| Closes this socket. More...
InetAddressPtr | getInetAddress () const
| Returns the value of this socket's address field. More...
int | getPort () const
| Returns the value of this socket's port field. More...
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

This class implements client sockets (also called just "sockets"). A socket is an endpoint for communication between two machines.

The actual work of the socket is performed by an instance of the SocketImpl class. An application, by changing the socket factory that creates the socket implementation, can configure itself to create sockets appropriate to the local firewall.

## Constructor & Destructor Documentation

Socket | ( | InetAddressPtr & | address,
|  | int | port
| ) |  |

Creates a stream socket and connects it to the specified port number at the specified IP address.

Socket | ( | apr_socket_t * | socket,
|  | apr_pool_t * | pool
| ) |  |

~Socket | ( |  | ) |

## Member Function Documentation

void close | ( |  | ) |

Closes this socket.

InetAddressPtr getInetAddress | ( |  | ) | const

Returns the value of this socket's address field.

int getPort | ( |  | ) | const

Returns the value of this socket's port field.

size_t write | ( | ByteBuffer & |  | ) |

The documentation for this class was generated from the following file:

- socket.h